Upgrading the Platform

Mikhail Glushenkov the.dead.shall.rise at gmail.com
Thu Mar 24 23:37:54 GMT 2011


On Thu, Mar 24, 2011 at 1:01 AM, Lyle Kopnicky <lists at qseep.net> wrote:
> On Mon, Mar 21, 2011 at 11:58 PM, Mikhail Glushenkov
> <the.dead.shall.rise at gmail.com> wrote:
>> You are advised to uninstall the old version before upgrading. In
>> practice, having two versions installed shouldn't cause much problems,
>> but it's not officially supported (yet).
> OK, will do. Will this cause problems if I have installed additional
> packages on top of the platform?

No, it shouldn't. The uninstaller won't delete them, though, so you'll
have to do it manually.

> If so, is there an easy way to make a list
> of these packages and re-install them?

Unfortunately, cabal-install doesn't support this yet.

()  ascii ribbon campaign - against html e-mail
/\  www.asciiribbon.org   - against proprietary attachments

More information about the Haskell-platform mailing list